WFS 2.0 does not use srsDimension

2016-10-18 11:56 PM - Thibault Coupin

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23643

Description

The WFS service of French National Institute of Geographic and Forest Information (IGN-F) provide some geometry with an altitude.

<BDTOPO_BDD_WLD_WGS84G:the_geom>

  <gml:MultiCurve srsDimension="3" srsName="urn:ogc:def:crs:EPSG::4326">

    <gml:curveMember>

      <gml:LineString srsDimension="3">

        <gml:posList>48.2012911 -3.1509894 276.5 48.2011541 -3.1508829 275.4 48.2010451 -3.1508094 274.9 48.2009594

-3.1507913 273.7</gml:posList>

      </gml:LineString>

    </gml:curveMember>

  </gml:MultiCurve>

</BDTOPO_BDD_WLD_WGS84G:the_geom>

QGIS 2.16 & WFS 2.0 does not understand the srsDimension="3" and use the altitude as a coordinate (see screenshot).

When I do a GetFeature by hand and add in QGIS, the geometry is well displayed.

When I force version 1.0 or 1.1 of WFS, there is no problem.

Associated revisions

Revision b8616ec5 - 2017-07-28 10:14 AM - René-Luc ReLuc

Merge pull request #4898 from tcoupin/master

Fix srsDimension parsing in GML, fixes #15721

History

#1 - 2016-10-20 02:27 AM - Giovanni Manghi

- Category set to Web Services clients/WFS

- Status changed from Open to Feedback

Why tagging this as regression? did it worked as expected in previous qgis releases? cheers!

#2 - 2016-10-20 03:15 AM - Thibault Coupin
I use this tag for severe not for regression.

I follow the documentation : Severe/Regression: a bug that makes QGIS totally unusable, causes serious data loss or a regression from a previous

QGIS version

Currently, IGN-F WFS service is unsuable since the autodetection choose version 2.0 of WFS.

#3 - 2016-10-25 07:37 AM - Thibault Coupin

Same behavior on 2.18.0

#4 - 2016-10-25 11:54 AM - Nyall Dawson

- Priority changed from Severe/Regression to High

Doesn't classify as severe. Annoying, but not severe.

#5 - 2017-01-03 06:10 AM - Giovanni Manghi

- Affected QGIS version changed from 2.16.3 to 2.18.0

- Status changed from Feedback to Open

- Priority changed from High to Normal

#6 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2017-07-20 11:08 PM - Thibault Coupin

Pull request submited https://github.com/qgis/QGIS/pull/4898

#8 - 2017-07-20 11:58 PM - Giovanni Manghi

- Description updated

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

#9 - 2017-07-28 10:15 AM - René-Luc ReLuc

- Resolution set to fixed/implemented

PR merged https://github.com/qgis/QGIS/pull/4898

#10 - 2017-07-28 10:35 AM - René-Luc ReLuc

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|b8616ec513a635cf0c6d31a187d5f3f520db70ec.
#11 - 2017-07-28 11:56 AM - René-Luc ReLuc

Backport done 21e3e8357abdb3ffa3db487feb7f44b4d9f8a00d
